function DrawCovPlot(Image, Samples, FigNum, Title, Color)

NumOfModes = size(Image, 2);
NumOfSamples = size(Samples, 2);
SampleSize = size(Samples, 1);

% Draw Independent Component's covariance with used samples
figure(FigNum); %clf
PlotPoints = zeros(NumOfModes, NumOfSamples);
for i = 1:NumOfModes
    for j = 1:NumOfSamples
        PlotPoints(i, j) = dot(Image(:,i), Samples(:,j));% / (norm(Image(:,i)) * norm(Samples(:,j)));
    end
    subplot(NumOfModes, 1, i);
    hold on;
    plot([1:NumOfSamples], PlotPoints(i, :), Color);
    plot([1:NumOfSamples], zeros(1, NumOfSamples), 'k');
    hold off;
    title([Title ' ' num2str(i)]);
    temp = axis;
    %axis([temp(1) temp(2) -1 1]);
end